W(1)

BEZEICHNUNG
w - anzeigen, welche Benutzer angemeldet sind und was sie machen.

ÜBERSICHT
w [Option ...] [Benutzer]

BESCHREIBUNG
w zeigt Informationen über die gerade angemeldeten Benutzer und ihre Prozesse an. Die Kopfzeile enthält in dieser Reihenfolge die aktuelle Zeit, die Laufzeit des Systems, wie viele Benutzer gerade angemeldet sind und die durchschnittliche Systemlast der letzten 1, 5 und 15 Minuten.

Die folgenden Daten werden für jeden Benutzer angezeigt: Der Anmeldename, der TTY-Name, der ferne Rechner, die Anmeldezeit, die Leerlaufzeit, JCPU, PCPU und die Befehlszeile des laufenden Prozesses.

Die JCPU-Zeit ist die Zeit, die von allen Prozessen genutzt wurde, die zu dem jeweiligen Terminal gehören. Sie enthält keine abgeschlossenen Hintergrund-Aufträge, jedoch die derzeit laufenden Hintergrund-Aufträge.

Die PCPU-Zeit ist die Zeit, die vom derzeit laufenden Prozess bisher genutzt wurde und im Feld »what« benannt ist.

OPTIONEN

-c, --container
    zeigt die Container- anstatt der System-Betriebszeit in der Kopfzeile an.

-h, --no-header
    gibt keine Kopfzeile aus.

-u, --no-current
    ignoriert den Benutzernamen, während der aktuelle Prozess und die CPU-Zeiten ermittelt werden. Probieren Sie die Option aus, indem Sie zunächst su, danach w und w -u eingeben.

-s, --short
    verwendet das Kurzformat. Die Anmeldezeit, die JCPU- und die PCPU-Zeit werden nicht ausgegeben.

-t, --terminal
    Normalerweise verwendet w entweder die systemd-Sitzungstabelle oder die utmp-Datei, um Benutzer zu finden. Im Terminalmodus scannt w die Terminalgeräte und findet so die Benutzersitzungen. Dies ist keine exakte Benutzerzählung; beispielsweise wird ein Benutzer mit zwei xterms zweimal angezeigt, sodass die Benutzeranzahl im Header unterschiedlich ist. Aktuell werden die Terminalgeräte /dev/tty* und /dev/pts/* gescannt.

-f, --from
    schaltet die Anzeige des from-Feldes (ferner Rechnername) ein oder aus. Standardmäßig wird das from-Feld nicht angezeigt. Allerdings könnte Ihr Systemadministrator oder Ihr Distributor eine Version kompiliert haben, in der das from-Feld standardmäßig angezeigt wird.

--help
    zeigt einen Hilfetext an und beendet das Programm.

-i, --ip-addr
    zeigt für das Feld from die IP-Adresse anstelle des Rechnernamens an. Diese Option funktioniert nur auf Nicht-Systemd-Plattformen, da libsystemd lediglich den Remote-Rechner bereitstellt.

-p, --pids
    zeigt die PID des Anmeldeprozesses/des »Was«-Prozesses im »Was«-Feld an. Der Anmeldeprozess wird auch der »Sitzungsleiter« genannt.

-V, --version
    zeigt Versionsinformationen an.

-o, --old-style
    aktiviert die Ausgabe im alten Stil. Für Leerlaufzeiten unter einer Minute werden Leerräume ausgegeben.

Benutzer
    zeigt Informationen nur für den angegebenen Benutzer an.

UMGEBUNGSVARIABLEN

PROCPS_CONTAINER
    Falls $PROCPS_CONTAINER gesetzt ist, verhält sich w so, als ob die Option --container angegeben wurde.

PROCPS_USERLEN
    setzt die vorgegebene Breite der USER-Spalte außer Kraft. Standardmäßig 8.

PROCPS_FROMLEN
    setzt die vorgegebene Breite der From-Spalte außer Kraft. Standardmäßig 16.

DATEIEN

/var/run/utmp
    Informationen darüber, wer aktuell angemeldet ist, jedoch nur für Rechner ohne Systemd.

/proc
    Prozessinformation

/dev/tty* , /dev/pts/*
    Terminalgerätedateien, die im --terminal-Modus gescannt wurden.

FEHLER

Bei Verwendung der Option --terminal geht w davon aus, dass Prozesse mit einer übergeordneten PID von 0 oder 1 agetty(8)-Prozesse sind und zeigt diese nicht an. Dies ist fürsowohl falsch positive als auch negative Fehler anfällig.

Die Leerlaufzeiten für Benutzer in bestimmten Sitzungen, wie z.B. X/Wayland-Sitzungen, werden falsch angezeigt. Die Option --terminal zeigt die korrekten Leerlaufzeiten für Terminal-Sitzungen unter X/Wayland an.

Auf Plattformen, die systemd(1) verwenden, wird die Option --ip-addr ignoriert. Die Spalte „from“ gibt den Remote-Rechner entweder als Rechnernamen oder als IP-Adresse an.

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org.

SIEHE AUCH
free(1), loginctl(1), ps(1), systemd(1), top(1), uptime(1), who(1), utmp(5), agetty(8)